# Uses of Enum Class
org.apache.lucene.store.ReadAdvice

Packages that use ReadAdvice
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.
org.apache.lucene.util
Some utility classes.

## Uses of ReadAdvice in org.apache.lucene.store

Methods in org.apache.lucene.store that return ReadAdvice
Modifier and Type
Method
Description
`ReadAdvice`
IOContext.`readAdvice()`
Returns the value of the `readAdvice` record component.
`static ReadAdvice`
ReadAdvice.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReadAdvice[]`
ReadAdvice.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.lucene.store with parameters of type ReadAdvice
Modifier and Type
Method
Description
`IndexInput`
IndexInput.`slice(String sliceDescription, long offset, long length, ReadAdvice readAdvice)`
Create a slice with a specific `ReadAdvice`.
`IOContext`
IOContext.`withReadAdvice(ReadAdvice advice)`
Return an updated `IOContext` that has the provided `ReadAdvice` if the `IOContext.Context` is a `IOContext.Context.DEFAULT` context, otherwise return this existing instance.
Constructors in org.apache.lucene.store with parameters of type ReadAdvice
Modifier
Constructor
Description
``
`IOContext(IOContext.Context context, MergeInfo mergeInfo, FlushInfo flushInfo, ReadAdvice readAdvice)`
Creates an instance of a `IOContext` record class.

## Uses of ReadAdvice in org.apache.lucene.util

Fields in org.apache.lucene.util declared as ReadAdvice
Modifier and Type
Field
Description
`static final ReadAdvice`
Constants.`DEFAULT_READADVICE`
The default `ReadAdvice` used for opening index files.